// Общие стили для ключевых эл-в
// Определяем размер 1rem как 10px
html {
	font-size: 62.5%;
	height: 100%;
}

body {
  margin: 0;
	display: flex;
	flex-direction: column;
	height: 100%;
	overflow: hidden;
}

main {
	flex: 1 0 auto;
	position: relative;
}

input {
	font: inherit;
}

section {
	position: relative;
	z-index: 1;
}

a {
	text-decoration: none;
	color: inherit;
	transition: .3s;
}

ul {
	list-style: none;
	margin-bottom: 0;
}

.app {
	position: relative;

	&-wrapper {
		display: flex;
		flex-wrap: wrap;
		opacity: 0;
		touch-action: none;
	}

	&-page {
		font-size: 120px;
		display: flex;
		justify-content: center;
		align-items: center;
		position: relative;
		z-index: 100;
		min-height: 10px;
	}

	.ignore {
		font-size: 120px;
		display: flex;
		justify-content: center;
		align-items: center;
		position: relative;
		z-index: 100;
		min-height: 10px;
	}

	button {
		background-color: rgba(0, 81, 255, 0.446);
		width: 30px;
		height: 30px;
		position: absolute;
		cursor: pointer;
		display: none;
		
		&.top {
			top: 30px;
			left: 50%;
			transform: translateX(-50%);
			display: block;
		}

		&.bottom {
			bottom: 30px;
			left: 50%;
			transform: translateX(-50%);
			display: block;
		}

		&.left {
			top: 50%;
			left: 30px;
			transform: translateY(-50%);
			display: block;
		}

		&.right {
			top: 50%;
			right: 30px;
			transform: translateY(-50%);
			display: block;
		}
	}
}
